# Generated from githelp-0.3.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name githelp

Name: rubygem-%{gem_name}
Version: 0.3.5
Release: 1%{?dist}
Summary: GitHelp - lists git commands from user's vague query strings
License: MIT
URL: http://GitHub.com/masui/GitHelp
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
GitHelp - lists git commands from user's vague query strings.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/githelp
%{gem_instdir}/.config
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Makefile
%{gem_instdir}/_config.yml
%{gem_instdir}/backups
%{gem_instdir}/exe
%{gem_instdir}/favicon.graffle
%{gem_instdir}/favicon.ico
%{gem_instdir}/favicon.png
%{gem_instdir}/index.html
%{gem_libdir}
%{gem_instdir}/stylesheets
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/githelp.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.3.5-1
- Initial package
